%define upstream_name File-Flock
%define upstream_version 2013.11

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	File locking with flock
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Data::Structure::Util)
BuildRequires:	perl(IO::Event)
BuildRequires:	perl(Test::SharedFork)

BuildArch:	noarch

%description
Lock files using the flock() call. If the file to be locked does not
exist, then the file is created. If the file was created then it will be
removed when it is unlocked assuming it's still an empty file.

Locks can be created by new'ing a File::Flock object. Such locks are
automatically removed when the object goes out of scope. The unlock()
method may also be used.

lock_rename() is used to tell File::Flock when a file has been renamed
(and thus the internal locking data that is stored based on the filename
should be moved to a new name). unlock() the new name rather than the
original name.

Locks are released on process exit when the process that created the
lock exits. Subprocesses that exit do not remove locks. Use
forget_locks() or POSIX::_exit() to prevent unlocking on process exit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Oct 20 2013 umeabot <umeabot> 2013.110.0-2.mga4
+ Revision: 536775
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 2013.110.0-1.mga4
+ Revision: 485555
- update to 2013.11

* Thu Sep 12 2013 sander85 <sander85> 2013.90.0-1.mga4
+ Revision: 478031
- update to 2013.09

* Sat Aug 03 2013 sander85 <sander85> 2013.80.0-1.mga4
+ Revision: 463017
- imported package perl-File-Flock

